> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.botbye.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.botbye.com/_mcp/server.

# delete threshold

DELETE {base_url}/api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}

### DELETE /api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}

Deletes a dimension threshold for a specific project within an account.

#### Request

No request body parameters are required for this endpoint.

- `base_url` (string): The base URL of the API.
- `account_id` (string): The unique identifier of the account.
- `project_id` (string): The unique identifier of the project.
- `dimension_id` (string): The unique identifier of the dimension threshold to be deleted.

#### Response

The response for this request is a JSON object with the following schema:

``` json
{}

 ```

Reference: https://api-docs.botbye.com/bot-bye-api/protection/dimension-thresholds/delete-threshold

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}:
    delete:
      operationId: delete-threshold
      summary: delete threshold
      description: >-
        ### DELETE
        /api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id}


        Deletes a dimension threshold for a specific project within an account.


        #### Request


        No request body parameters are required for this endpoint.


        - `base_url` (string): The base URL of the API.

        - `account_id` (string): The unique identifier of the account.

        - `project_id` (string): The unique identifier of the project.

        - `dimension_id` (string): The unique identifier of the dimension
        threshold to be deleted.


        #### Response


        The response for this request is a JSON object with the following
        schema:


        ``` json

        {}

         ```
      tags:
        - subpackage_dimensionThresholds
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: dimension_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
servers:
  - url: '{base_url}'
    description: '{base_url}'

```

## Examples



**SDK Code**

```python
import requests

url = "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://{base_url}/api/v1/account_id/projects/project_id/dimension-thresholds/dimension_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```